import { NestFactory } from '@nestjs/core';
import { AppModule } from './app.module';
import dotenv from 'dotenv';

dotenv.config();

async function bootstrap() {
  const app = await NestFactory.create(AppModule);
  app.enableCors({
    origin: (origin, callback) => {
      // origin이 없는 경우(local file, curl 등) 허용
      if (!origin) return callback(null, true);

      // 특정 도메인만 막고 싶은 경우 whitelist 가능
      const whitelist = ["http://localhost:5173", "https://scheduler.bkdhome.p-e.kr"];
      if (whitelist.includes(origin)) {
        return callback(null, true);
      }

      // 그 외 모든 도메인 허용 → 사실상 wildcard
      return callback(null, true);
    },
    credentials: true,
  });


  await app.listen(process.env.PORT ?? 3000);
}
bootstrap();
